[arch-commits] Commit in gimp-ufraw/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 2 07:14:02 EST 2009


    Date: Wednesday, December 2, 2009 @ 07:14:02
  Author: giovanni
Revision: 60219

upgpkg: gimp-ufraw 0.16-1
    upstream release

Modified:
  gimp-ufraw/trunk/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-02 11:52:45 UTC (rev 60218)
+++ PKGBUILD	2009-12-02 12:14:02 UTC (rev 60219)
@@ -4,29 +4,29 @@
 
 pkgname=gimp-ufraw
 _srcname=ufraw
-pkgver=0.15
-pkgrel=4
-pkgdesc="standalone or gimp plugin converter for raw files"
+pkgver=0.16
+pkgrel=1
+pkgdesc="Standalone or gimp plugin converter for raw files"
 url="http://ufraw.sourceforge.net/"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=(GPL2)
-depends=('lcms' 'gtk2' 'libexif' 'exiv2>=0.18')
+depends=('gtkimageview>=1.6.4' 'exiv2>=0.18')
 makedepends=('gimp' 'cinepaint' 'pkgconfig')
 optdepends=('gimp: to use the gimp import plugin for raw images' \
             'cinepaint: to use the cinepaint import plugin for raw images')
-source=(http://downloads.sourceforge.net/sourceforge/${_srcname}/${_srcname}-${pkgver}.tar.gz ufraw-0.15-glibc-2.10.patch)
-md5sums=('6d8f6c98a388c438784cd909dd82d540' '18774fd178266f18c398b22f99783860')
+source=(http://downloads.sourceforge.net/sourceforge/${_srcname}/${_srcname}-${pkgver}.tar.gz)
+md5sums=('61e100e42f17e3a7fcfae64506eebd14')
 
 build() {
-  cd ${srcdir}/${_srcname}-${pkgver}
-  patch -p1 < ../ufraw-0.15-glibc-2.10.patch || return 1
+  cd "${srcdir}/${_srcname}-${pkgver}"
+
   ./configure --prefix=/usr \
-    --enable-extras \
-	 --enable-mime \
-	 --enable-openmp \
-    --with-libexif --with-exiv2 || return 1
+              --enable-extras \
+              --enable-mime \
+              --enable-openmp \
+              --with-exiv2 || return 1
   sed -i "s/-ffast-math -fomit-frame-pointer -W -Wall -O3/${CFLAGS}/" Makefile || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
   rm -f ${pkgdir}/usr/bin/dcraw
 }



More information about the arch-commits mailing list